org.apache.jmeter.protocol.jms.sampler.render

## Interface MessageRenderer<T>

- All Known Implementing Classes:
    MapMessageRenderer

      public interface MessageRenderer<T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getValueFromFile(java.lang.String filename, java.lang.String encoding, boolean hasVariable, com.github.benmanes.caffeine.cache.Cache<java.lang.Object,java.lang.Object> cache)` Read text from file, eventually replace variables, then convert it.
    `T` | `getValueFromText(java.lang.String text)` Convert text to expected type

- - ### Method Detail

    - #### getValueFromText

          T getValueFromText(java.lang.String text)

      Convert text to expected type
      Parameters:
        `text` - Text representing the type
      Returns:
        the constructed object

    - #### getValueFromFile

          T getValueFromFile(java.lang.String filename,
                             java.lang.String encoding,
                             boolean hasVariable,
                             com.github.benmanes.caffeine.cache.Cache<java.lang.Object,java.lang.Object> cache)

      Read text from file, eventually replace variables, then convert it. Cached content depends if variabilisation is active or not.
      Parameters:
        `filename` - name of the file to get the value from
        `encoding` - encoding of the file
        `hasVariable` - flag, whether variables inside the value should be replaced
        `cache` - Cache in which the raw values will be stored/read from
      Returns:
        the constructed object

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.